Cripay Docs

List custodial balances

Balance per asset and chain of the signed-in user's personal account, with USD value when a rate is available.

GET
/v1/wallet/balances

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key (cpr_…) or session JWT

Response Body

Default Response

application/json
  1. response
object*"list"
Value in"list"
data*array<>
Example Request
curl -X GET 'http://127.0.0.1:3001/v1/wallet/balances'
Example Response
{  "object": "list",  "data": [    {      "asset": "string",      "chain": "string",      "available_units": "string",      "pending_units": "string",      "locked_units": "string",      "decimals": 0,      "usd_value": "string"    }  ]}